<?php 

/* Sidebar Widgets */
/*------------------------------------------------------------------*/

add_action( 'bizz_sidebar', 'bizz_sidebar_area' );

function bizz_sidebar_area() { 

?>

<?php bizz_sidebar_before(); ?>

<div class="grid_4">
	<div class="sidebar <?php if ( $GLOBALS['opt']['bizzthemes_sidebar_align'] == 'alignleft' ) { ?>sidebar-left<?php } ?>">
	<?php if ( ( function_exists('dynamic_sidebar') && (is_sidebar_active(1)) ) ) :
	    dynamic_sidebar(1);
	endif; ?>
	</div><!-- /sidebar -->
</div><!--/grid_4-->

<?php bizz_sidebar_after(); ?>

<?php }

/* Front Widgets */
/*------------------------------------------------------------------*/

add_action( 'bizz_front', 'bizz_front_area' );

function bizz_front_area() { 

?>

<?php bizz_front_before(); ?>

<div class="cbox-area clearfix">
<div class="container_12">
<div class="cbox-in clearfix">

    <?php if (function_exists('dynamic_sidebar') && (is_sidebar_active(2)) ) { ?>
	<div class="grid_4">
		<div class="cbox first">
		    <?php dynamic_sidebar(2); ?>
		</div><!-- /cbox -->
	</div><!-- /.grid_4 -->
	<?php } ?>
	
	<?php if (function_exists('dynamic_sidebar') && (is_sidebar_active(3)) ) { ?>
	<div class="grid_4">
		<div class="cbox">
		    <?php dynamic_sidebar(3); ?>
		</div><!-- /cbox -->
	</div><!-- /.grid_4 -->
	<?php } ?>
	
	<?php if (function_exists('dynamic_sidebar') && (is_sidebar_active(4)) ) { ?>
	<div class="grid_4">
		<div class="cbox last">
		    <?php dynamic_sidebar(4); ?>
		</div><!-- /cbox -->
	</div><!-- /.grid_4 -->
	<?php } ?>

</div><!-- /.cbox-in -->	
</div><!--/.container_12-->
</div><!-- /.cbox-area -->	

<?php bizz_front_after(); ?>

<?php }

/* Footer Widgets */
/*------------------------------------------------------------------*/

add_action( 'bizz_widgets', 'bizz_widgets_area' );

function bizz_widgets_area() {

?>

<?php bizz_widgets_before(); ?>

<div class="widgets-area clearfix">
<div class="container_12">

    <?php if (function_exists('dynamic_sidebar') && (is_sidebar_active(5) || is_sidebar_active(6) || is_sidebar_active(7)) ) { ?>
	    <div class="grid_4 first"><?php dynamic_sidebar(5); ?></div>
		<div class="grid_4"><?php dynamic_sidebar(6); ?></div>
	    <div class="grid_4 last"><?php dynamic_sidebar(7); ?></div>
	<?php } ?>
	
</div><!-- /.container_12 -->
</div><!-- /.widgets-area -->

<?php bizz_widgets_after(); ?>

<?php } ?>